#language: ru

@labeling

Функционал: 003. Labeling. Дозаполение данных по складам

Сценарий: 003.1. Labeling. Создание валюты

	Дано Я подключаюсь под "Администратор"
	И Я создаю валюту RUB

Сценарий: 003.2. Labeling. Создание типоразмера ячеек

	Дано я удаляю объекты "Справочники.к2ТипоразмерыЯчеек" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типоразмеры ячеек'
	Тогда я жду открытия окна 'Типоразмеры ячеек' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Типоразмеры ячеек (создание)'
	И я устанавливаю флаг с именем 'НеОграниченаПоРазмерам'
	И я устанавливаю флаг с именем 'НеОграниченаПоГрузоподъемности'
	И в поле 'Наименование' я ввожу текст 'Неограниченый'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Типоразмеры ячеек (создание)' в течение 20 секунд
	Тогда открылось окно 'Типоразмеры ячеек'
	И я закрываю окно 'Типоразмеры ячеек'

Сценарий: 003.3. Labeling. Заполнение ячеек для склада маркировки
	
	Дано я удаляю объекты "Справочники.к2СкладскиеПомещения" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2СкладскиеЯчейки" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Склад маркировки' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Склад маркировки (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '9'
	И в поле 'Ряд' я ввожу текст '99'
	И в поле 'Стеллаж' я ввожу текст '999'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Адрес' я ввожу текст 'Приемка'
	И в поле 'Описание' я ввожу текст 'Приемка'
	И из выпадающего списка "Типоразмер" я выбираю по строке 'Неограниченый'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И из выпадающего списка "Шаблон этикетки" я выбираю по строке 'Основная'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад маркировки (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '9'
	И в поле 'Ряд' я ввожу текст '99'
	И в поле 'Стеллаж' я ввожу текст '999'
	И в поле 'Ярус' я ввожу текст '2'
	И в поле 'Адрес' я ввожу текст 'Отгрузка'
	И в поле 'Описание' я ввожу текст 'Отгрузка'
	И из выпадающего списка "Типоразмер" я выбираю по строке 'Неограниченый'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И из выпадающего списка "Шаблон этикетки" я выбираю по строке 'Основная'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад маркировки (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '9'
	И в поле 'Ряд' я ввожу текст '99'
	И в поле 'Стеллаж' я ввожу текст '999'
	И в поле 'Ярус' я ввожу текст '3'
	И в поле 'Адрес' я ввожу текст 'Пересчет'
	И в поле 'Описание' я ввожу текст 'Пересчет'
	И из выпадающего списка "Типоразмер" я выбираю по строке 'Неограниченый'
	И в поле 'Вместимость в местах' я ввожу текст '0'
	И из выпадающего списка "Шаблон этикетки" я выбираю по строке 'Основная'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад маркировки (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И я нажимаю на кнопку 'Перечитать'
	И я перехожу к закладке "Адресное хранение"
	И из выпадающего списка "Ячейка приемки" я выбираю по строке 'Приемка'
	И из выпадающего списка "Ячейка отгрузки" я выбираю по строке 'Отгрузка'
	И из выпадающего списка "Ячейка пересчета" я выбираю по строке 'Пересчет'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад маркировки (Склад) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 003.4. Labeling. Заполнение ячеек и зоны для склада немаркированной продукции

	Дано я удаляю объекты "Справочники.к2ЗоныСклада" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2СоставЯчеекЗоныСклада"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                    |
		| 'Склад немаркированной продукции' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '9'
	И в поле 'Ряд' я ввожу текст '99'
	И в поле 'Стеллаж' я ввожу текст '999'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Адрес' я ввожу текст 'Ячейка приемки'
	И в поле 'Описание' я ввожу текст 'Ячейка приемки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '9'
	И в поле 'Ряд' я ввожу текст '99'
	И в поле 'Стеллаж' я ввожу текст '999'
	И в поле 'Ярус' я ввожу текст '2'
	И в поле 'Адрес' я ввожу текст 'Ячейка отгрузки'
	И в поле 'Описание' я ввожу текст 'Ячейка отгрузки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '9'
	И в поле 'Ряд' я ввожу текст '99'
	И в поле 'Стеллаж' я ввожу текст '999'
	И в поле 'Ярус' я ввожу текст '3'
	И в поле 'Адрес' я ввожу текст 'Ячейка пересчета'
	И в поле 'Описание' я ввожу текст 'Ячейка пересчета'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1 '
	И в поле 'Стеллаж' я ввожу текст '1  '
	И в поле 'Ярус' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1 '
	И в поле 'Стеллаж' я ввожу текст '1  '
	И в поле 'Ярус' я ввожу текст '2'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1 '
	И в поле 'Стеллаж' я ввожу текст '1  '
	И в поле 'Ярус' я ввожу текст '3'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Зоны склада'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Зоны склада (создание)'
	И в поле 'Наименование' я ввожу текст 'Зона склада немаркированной продукции'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Зона склада немаркированной продукции (Зоны склада)'
	И в таблице "СоставЯчеек" я нажимаю на кнопку с именем 'СоставЯчеекСоздать'
	Тогда открылось окно 'Состав ячеек зоны склада (создание)'
	И из выпадающего списка "Ячейка" я выбираю по строке '1010011'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Состав ячеек зоны склада (создание) *' в течение 20 секунд
	Тогда открылось окно 'Зона склада немаркированной продукции (Зоны склада)'
	Тогда таблица "СоставЯчеек" стала равной:
		| 'Ячейка'  |
		| '1010011' |
	И я удаляю все строки таблицы "СоставЯчеек"
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Зона склада немаркированной продукции (Зоны склада)'
	И в таблице "СоставЯчеек" я нажимаю на кнопку 'Подобрать ячейки'
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Описание'   | 'Склад'                           |
		| '1-01-001-1' | 'Склад немаркированной продукции' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Перенести в документ'
	Тогда открылось окно 'Зона склада немаркированной продукции (Зоны склада)'
	Тогда таблица "СоставЯчеек" стала равной:
		| 'Ячейка'  |
		| '1010011' |
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Зона склада немаркированной продукции (Зоны склада)' в течение 20 секунд
	Тогда открылось окно 'Склад немаркированной продукции (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И я нажимаю на кнопку 'Перечитать'
	И я перехожу к закладке "Адресное хранение"
	И из выпадающего списка "Ячейка приемки" я выбираю по строке 'Ячейка приемки'
	И из выпадающего списка "Ячейка отгрузки" я выбираю по строке 'Ячейка отгрузки'
	И из выпадающего списка "Ячейка пересчета" я выбираю по строке 'Ячейка пересчета'
	И из выпадающего списка "Зона активного отбора" я выбираю по строке 'Зона склада немаркированной продукции'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад немаркированной продукции (Склад) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 003.5. Labeling. Завершение

	И Я закрыл все окна клиентского приложения